<?php
require_once '../core/system.php';
echo admin();
if (isset($_GET['parent_id'])) {
$parent_id = mysql_fetch_assoc(mysql_query("Select * from `forum_razdel` where `main_forum` = '1' and `id` = '".intval($_GET['parent_id'])."'"));
$header = 'Создание суб-раздела';
}Elseif (!isset($_GET['parent_id'])){
$header = 'Создание раздела';
}
$header = 'Создание раздела';
include_once '../core/head.php';

//switch($act) {
//case 'post':
if (isset($_GET['parent_id'])) {
$parent_2 = mysql_fetch_assoc(mysql_query("Select * from `forum_razdel` where `main_forum` = '1' and `id` = '".intval($_GET['parent_id'])."'"));
if(isset($_POST['name'])) {
$read_only = num($_POST['read_only']);
$private_post = num($_POST['private_post']);
$news_post = num($_POST['news_post']);
$name = check($_POST['name']);
if(mb_strlen($name) < 3 or mb_strlen($name) > 40) $err =  'Длина названия должна быть в пределах 3 - 40 символов';
if ($news_post == '1') {
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razdel` WHERE `news_post` = '1'"),0) == true) $err = 'Можно создать только один новостной раздел';
}
if(!isset($err)) {
mysql_query("INSERT INTO `forum_razdel` SET `name` = '$name', `private_post` = '$private_post', `read_only` = '$read_only', `sub_forum` = '1', `attached_to` = '$parent_2[id]', `news_post` = '$news_post'");
header('Location: /forum?parent_id='.$parent_2[id].'');
$_SESSION['message'] = 'Раздел создан!';
exit();
}else{
header('Location: add_forum');
$_SESSION['err'] = $err;
exit();
}
}
}Elseif (!isset($_GET['parent_id'])) {
if(isset($_POST['name'])) {
$parent_forum = num($_POST['parent_forum']);
$read_only = num($_POST['read_only']);
$private_post = num($_POST['private_post']);
$news_post = num($_POST['news_post']);
$name = check($_POST['name']);
if(mb_strlen($name) < 3 or mb_strlen($name) > 40) $err =  'Длина названия должна быть в пределах 3 - 40 символов';
if ($news_post == '1') {
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razdel` WHERE `news_post` = '1'"),0) == true) $err = 'Можно создать только один новостной раздел';
}
if(!isset($err)) {
mysql_query("INSERT INTO `forum_razdel` SET `name` = '$name', `private_post` = '$private_post', `read_only` = '$read_only', `main_forum` = '$parent_forum', `type` = 'public_property', `news_post` = '$news_post'");
header('Location: /forum');
$_SESSION['message'] = 'Раздел создан!';
exit();
}else{
header('Location: add_forum');
$_SESSION['err'] = $err;
exit();
}
}


}
 //break;
//default;
if (!isset($_GET['parent_id'])) {
echo '<form class="player" method="post" action="?">
Введите Название<br /><input class="text large" type="text" name="name" /><br />
<input type="checkbox" name="news_post" value="1" /><span>Новостной раздел</span><br />
<input type="checkbox" name="parent_forum" value="1" /><span>Внутри раздела могут быть другие раздел(parent_id)</span><br />
<input type="checkbox" name="read_only" value="1" /><span>Игроки не могут создавать топики</span><br />
<input type="checkbox" name="private_post" value="1" /><span>Доступен только администрации</span><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span>
</form>
</div><div class="mini-line"></div><div class="player menuList"><li><a href="/moder_tools/"><img src="/images/icon/arrow.png">Назад</a></li>
<div class="mini-line"></div>
<li><a href="/forum"><img src="/images/icon/arrow.png">Назад в форум</a></li>';
//}
}Elseif(isset($_GET['parent_id'])){
echo '<form class="player" method="post" action="?parent_id='.$parent_id[id].'">
Введите Название<br /><input class="text large" type="text" name="name" /><br />
<input type="checkbox" name="news_post" value="1" /><span>Новостной раздел</span><br />
<input type="checkbox" name="read_only" value="1" /><span>Игроки не могут создавать топики</span><br />
<input type="checkbox" name="private_post" value="1" /><span>Доступен только администрации</span><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span>
</form>
</div><div class="mini-line"></div><div class="player menuList"><li><a href="/moder_tools/"><img src="/images/icon/arrow.png">Назад</a></li>
<div class="mini-line"></div>
<li><a href="/forum?parent_id='.$parent_id[id].'"><img src="/images/icon/arrow.png">Назад в раздел</a></li>';
}
echo "</div>";
include_once '../core/foot.php';
?>